package com.huiju.estateagents.property.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.huiju.estateagents.base.ResponseBean;
import com.huiju.estateagents.center.taUser.entity.TaUser;
import com.huiju.estateagents.property.common.UserElement;
import com.huiju.estateagents.property.model.SysRole;

public interface RoleServiceI extends IService<SysRole> {
	
	/**
	 * 获取角色列表
	 * @param roleName
	 * @param userElement
	 * @param pageNum
	 * @param pageSize
	 * @return
	 */
	ResponseBean getRoleList(String roleName, TaUser userElement, Integer pageNum, Integer pageSize);
	
	/**
	 * 添加角色
	 * @param sysRole
	 * @param userElement
	 * @return
	 */
	ResponseBean addRole(SysRole sysRole, TaUser userElement);
	
	/**
	 * 获取角色详情
	 * @param id
	 * @param userElement
	 * @return
	 */
	ResponseBean getRoleInfo(Integer id, TaUser userElement);
	
	/**
	 * 修改角色
	 * @param sysRole
	 * @param userElement
	 * @return
	 */
	ResponseBean updateRole(SysRole sysRole, TaUser userElement);
	
	/**
	 * 批量删除角色
	 * @param sysRole
	 * @param userElement
	 * @return
	 */
	ResponseBean deleteRole(SysRole sysRole, TaUser userElement);
}
